<?
   require('data.inc');

   define("ALL_TXT", "all.txt");

   function doRatings(&$errMsg)
   {
      // Show the rating for everything

      if(!Data::getMovieEntries(DATA_MOVIE_TITLES_PATH, $entries, $errMsg))
         return(false);

      if(($f = @fopen(ALL_TXT, "w")) == false)
      {
         $errMsg = "Could not open: " . ALL_TXT;
         return(false);
      }

      $nEntries = count($entries);

      foreach($entries as $index =>  $entry)
      {
         printf("Processing: (%d/%d) %s\n", $index + 1, $nEntries, $entry->mTitle);

         if(!Data::averageRatingForMovieEx($entry->mID, $average, $n, $errMsg))
            return(false);

         fprintf(
            $f,
            "%.2f,%d,%d,%s\n", $average, $n, $entry->mYear, $entry->mTitle
         );
      }

      fclose($f);
      return(true);
   }

   // ------------------------------------------------------------------
   // Script begins here - note that we have to increase the limit for
   // memory allocation otherwise the script chokes when it gets to
   // 'Pirates Of The Caribbean: The Curse Of The Black Pearl'
   // ------------------------------------------------------------------

   ini_set("memory_limit", "2G");

   $start = time();

   if(!doRatings($errMsg))
      die($errMsg);

   $end = time();

   printf("Wrote: " . ALL_TXT . ", Elapsed: " . ($end - $start) . "\n");
?>
